/**
 */
package org.eclipse.xsemantics.dsl.xsemantics;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.xsemantics.dsl.xsemantics.XsemanticsPackage
 * @generated
 */
public interface XsemanticsFactory extends EFactory
{
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	XsemanticsFactory eINSTANCE = org.eclipse.xsemantics.dsl.xsemantics.impl.XsemanticsFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>File</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>File</em>'.
	 * @generated
	 */
	XsemanticsFile createXsemanticsFile();

	/**
	 * Returns a new object of class '<em>System</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>System</em>'.
	 * @generated
	 */
	XsemanticsSystem createXsemanticsSystem();

	/**
	 * Returns a new object of class '<em>Injected</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Injected</em>'.
	 * @generated
	 */
	Injected createInjected();

	/**
	 * Returns a new object of class '<em>Auxiliary Description</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Auxiliary Description</em>'.
	 * @generated
	 */
	AuxiliaryDescription createAuxiliaryDescription();

	/**
	 * Returns a new object of class '<em>Judgment Description</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Judgment Description</em>'.
	 * @generated
	 */
	JudgmentDescription createJudgmentDescription();

	/**
	 * Returns a new object of class '<em>Judgment Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Judgment Parameter</em>'.
	 * @generated
	 */
	JudgmentParameter createJudgmentParameter();

	/**
	 * Returns a new object of class '<em>Auxiliary Function</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Auxiliary Function</em>'.
	 * @generated
	 */
	AuxiliaryFunction createAuxiliaryFunction();

	/**
	 * Returns a new object of class '<em>Rule</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rule</em>'.
	 * @generated
	 */
	Rule createRule();

	/**
	 * Returns a new object of class '<em>Axiom</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Axiom</em>'.
	 * @generated
	 */
	Axiom createAxiom();

	/**
	 * Returns a new object of class '<em>Rule With Premises</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rule With Premises</em>'.
	 * @generated
	 */
	RuleWithPremises createRuleWithPremises();

	/**
	 * Returns a new object of class '<em>Check Rule</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Check Rule</em>'.
	 * @generated
	 */
	CheckRule createCheckRule();

	/**
	 * Returns a new object of class '<em>Rule Conclusion</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rule Conclusion</em>'.
	 * @generated
	 */
	RuleConclusion createRuleConclusion();

	/**
	 * Returns a new object of class '<em>Rule Invocation</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rule Invocation</em>'.
	 * @generated
	 */
	RuleInvocation createRuleInvocation();

	/**
	 * Returns a new object of class '<em>Environment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Environment</em>'.
	 * @generated
	 */
	Environment createEnvironment();

	/**
	 * Returns a new object of class '<em>Rule Conclusion Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rule Conclusion Element</em>'.
	 * @generated
	 */
	RuleConclusionElement createRuleConclusionElement();

	/**
	 * Returns a new object of class '<em>Rule Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Rule Parameter</em>'.
	 * @generated
	 */
	RuleParameter createRuleParameter();

	/**
	 * Returns a new object of class '<em>Expression In Conclusion</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Expression In Conclusion</em>'.
	 * @generated
	 */
	ExpressionInConclusion createExpressionInConclusion();

	/**
	 * Returns a new object of class '<em>Output Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Output Parameter</em>'.
	 * @generated
	 */
	OutputParameter createOutputParameter();

	/**
	 * Returns a new object of class '<em>Input Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Input Parameter</em>'.
	 * @generated
	 */
	InputParameter createInputParameter();

	/**
	 * Returns a new object of class '<em>Or Expression</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Or Expression</em>'.
	 * @generated
	 */
	OrExpression createOrExpression();

	/**
	 * Returns a new object of class '<em>Fail</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fail</em>'.
	 * @generated
	 */
	Fail createFail();

	/**
	 * Returns a new object of class '<em>Environment Composition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Environment Composition</em>'.
	 * @generated
	 */
	EnvironmentComposition createEnvironmentComposition();

	/**
	 * Returns a new object of class '<em>Environment Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Environment Mapping</em>'.
	 * @generated
	 */
	EnvironmentMapping createEnvironmentMapping();

	/**
	 * Returns a new object of class '<em>Empty Environment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Empty Environment</em>'.
	 * @generated
	 */
	EmptyEnvironment createEmptyEnvironment();

	/**
	 * Returns a new object of class '<em>Error Specification</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Error Specification</em>'.
	 * @generated
	 */
	ErrorSpecification createErrorSpecification();

	/**
	 * Returns a new object of class '<em>Overrider</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Overrider</em>'.
	 * @generated
	 */
	Overrider createOverrider();

	/**
	 * Returns a new object of class '<em>Refer To Judgment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Refer To Judgment</em>'.
	 * @generated
	 */
	ReferToJudgment createReferToJudgment();

	/**
	 * Returns a new object of class '<em>Cached Clause</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Cached Clause</em>'.
	 * @generated
	 */
	CachedClause createCachedClause();

	/**
	 * Returns a new object of class '<em>Cachable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Cachable</em>'.
	 * @generated
	 */
	Cachable createCachable();

	/**
	 * Returns a new object of class '<em>Description</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Description</em>'.
	 * @generated
	 */
	Description createDescription();

	/**
	 * Returns a new object of class '<em>Abstract Field Definition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Abstract Field Definition</em>'.
	 * @generated
	 */
	AbstractFieldDefinition createAbstractFieldDefinition();

	/**
	 * Returns a new object of class '<em>Field Definition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Field Definition</em>'.
	 * @generated
	 */
	FieldDefinition createFieldDefinition();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	XsemanticsPackage getXsemanticsPackage();

} //XsemanticsFactory
